
	$(document).ready(function(){
		load(1);
		$( "#resultados" ).load( "ajax/editar_facturacion.php" );

		// Event Click Button Guardar (For edit data)
		$('#btn_editar_factura').click(function () {

			// Get data form in data variables
			let id_factura = $('#id_factura').val();
			let id_cliente = $('#id_cliente').val();
			let id_mayorista = $('#id_mayorista').val();
			let estado_factura = $('#estado_factura').val();
			let condiciones = $('#condiciones').val();
			let condiciones2 =  $('#condiciones2').val();
			let observaciones = $('#observaciones').val();
			let observaciones2 = $('#observaciones2').val();
			let zona = $('#zona').val();
			let comentarios = $('#comentarios').val();

			let serialize_data = 'id_cliente='+id_cliente+'&id_mayorista='+id_mayorista+'&estado_factura='+estado_factura+'&condiciones='+condiciones+'&condiciones2='+condiciones2+'&observaciones='+observaciones+'&observaciones2='+observaciones2+'&zona='+zona+'&comentarios='+comentarios+'&id_factura='+id_factura+'';

			// Function Ajax Editar
			editar_factura(serialize_data);


		});
	});

	function load(page)
	{
		var q= $("#q").val();
		$("#loader").fadeIn('slow');
		$.ajax({
			url:'./ajax/productos_factura.php?action=ajax&page='+page+'&q='+q,
			 beforeSend: function(objeto){
			 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
		  },
			success:function(data){
				$(".outer_div").html(data).fadeIn('slow');
				$('#loader').html('');

			}
		})
	}

	function agregar (id)
	{
		    var id_producto_bonifica=document.getElementById('id_producto_bonifica_'+id).value;
		    var precio_venta_producto=document.getElementById('precio_venta_producto_'+id).value;
			var precio_venta=document.getElementById('precio_venta_'+id).value;
			var cantidad=document.getElementById('cantidad_'+id).value;
			var costocliente=document.getElementById('costocliente_'+id).value;
			//Inicia validacion
			if (isNaN(cantidad))
			{
			alert('Esto no es un numero');
			document.getElementById('cantidad_'+id).focus();
			return false;
			}
			if (isNaN(precio_venta))
			{
			alert('Esto no es un numero');
			document.getElementById('precio_venta_'+id).focus();
			return false;
			}
			if (isNaN(costocliente))
			{
			alert('Esto no es un numero');
			document.getElementById('costocliente_'+id).focus();
			return false;
			}
			if (isNaN(precio_venta_producto))
			{
			alert('Esto no es un numero');
			document.getElementById('precio_venta_producto_'+id).focus();
			return false;
			}
			if (isNaN(id_producto_bonifica))
			{
			alert('Esto no es un numero');
			document.getElementById('id_producto_bonifica_'+id).focus();
			return false;
			}
			//Fin validacion
			
			$.ajax({
        type: "POST",
        url: "./ajax/editar_facturacion.php",
        data: "id="+id+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&costocliente="+costocliente+"&precio_venta_producto="+precio_venta_producto+"&id_producto_bonifica="+id_producto_bonifica,
			 beforeSend: function(objeto){
			$("#resultados").html("Mensaje: Cargando...");
		  },
        success: function(datos){
		$("#resultados").html(datos);
		}
			});
		}
		
	function eliminar (id)
	{
			
			$.ajax({
        type: "GET",
        url: "./ajax/editar_facturacion.php",
        data: "id="+id,
		 beforeSend: function(objeto){
			$("#resultados").html("Mensaje: Cargando...");
		  },
        success: function(datos){
		$("#resultados").html(datos);
		}
			});

		}

	function editar_factura(data)
	{
		$.ajax({
			type: 'POST',
			data: data,
			url: 'ajax/facturas/editar.php',
			success: function (response){
				if(response==1)
					alert('Información actualizada!');
				else
					alert('Algo salió mal');
			}
		});
	}
		
	$("#datos_factura").submit(function(event){
	  var id_cliente = $("#id_cliente").val();
	  var id_mayorista = $("#id_mayorista").val();
	  var condiciones = $("#condiciones").val();
	  var condiciones2 = $("#condiciones2").val();
	  var observaciones = $("#observaciones").val();
	  var observaciones2 = $("#observaciones2").val();
	  var zona = $("#zona").val();
	  var comentarios = $("#comentarios").val()


	  if (id_cliente==""){
		  alert("Debes seleccionar un cliente3");
		  $("#nombre_cliente").focus();
		  return false;
	  }
		var parametros = $(this).serialize();
		parametros = parametros + "&condiciones=" + condiciones  + "&observaciones=" + observaciones + "&comentarios=" + comentarios + "&condiciones2=" + condiciones2 + "&observaciones2=" + observaciones2
		 + "&zona=" + zona + "&id_mayorista=" + id_mayorista ;
		//alert(parametros);
		 $.ajax({
				type: "POST",
				url: "ajax/editar_factura.php",
				data: parametros,
				 beforeSend: function(objeto){
					$(".editar_factura").html("Mensaje: Cargando...");
				  },
				success: function(datos){
					$(".editar_factura").html(datos);
				}
		});

		 event.preventDefault();
	});

	$( "#guardar_cliente" ).submit(function( event ) {
	  $('#guardar_datos').attr("disabled", true);

	 var parametros = $(this).serialize();
		 $.ajax({
				type: "POST",
				url: "ajax/nuevo_cliente.php",
				data: parametros,
				 beforeSend: function(objeto){
					$("#resultados_ajax").html("Mensaje: Cargando...");
				  },
				success: function(datos){
					$("#resultados_ajax").html(datos);
					$('#guardar_datos').attr("disabled", false);
				load(1);
			  }
		});
	  event.preventDefault();
	})

	$( "#guardar_producto" ).submit(function( event ) {
	  $('#guardar_datos').attr("disabled", true);

	 var parametros = $(this).serialize();
		 $.ajax({
				type: "POST",
				url: "ajax/nuevo_producto.php",
				data: parametros,
				 beforeSend: function(objeto){
					$("#resultados_ajax_productos").html("Mensaje: Cargando...");
				  },
				success: function(datos){
				$("#resultados_ajax_productos").html(datos);
				$('#guardar_datos').attr("disabled", false);
				load(1);
			  }
		});
	  event.preventDefault();
	})

	function imprimir_factura(id_factura){
		VentanaCentrada('./pdf/documentos/ver_factura.php?id_factura='+id_factura,'Factura','','1024','768','true');
	}